org.scalatest.matchers.MustMatchers

# LengthMustWrapper

#### class LengthMustWrapper [A <: AnyRef] extends AnyRef

This class is part of the ScalaTest matchers DSL. Please see the documentation for `MustMatchers` or `ShouldMatchers` for an overview of the matchers DSL.

This class is used in conjunction with an implicit conversion to enable `must` methods to be invoked on `AnyRef` objects that can be implicitly converted to type `LengthWrapper`. Trait `MustMatchers` includes implicit conversions from several types, including many structural types, to `LengthWrapper`.

Attributes
  final

Linear Supertypes
AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. Hide All
2. Show all

1. LengthMustWrapper
2. AnyRef
3. Any

Visibility

1. Public
2. All

### Instance Constructors

1. #### new LengthMustWrapper (left: A)(implicit arg0: (A) ⇒ LengthWrapper)

### Value Members

1. #### def != (arg0: AnyRef): Boolean

   Attributes
     final
   Definition Classes
     AnyRef

2. #### def != (arg0: Any): Boolean

   Attributes
     final
   Definition Classes
     Any

3. #### def ## (): Int

   Attributes
     final
   Definition Classes
     AnyRef → Any

4. #### def == (arg0: AnyRef): Boolean

   Attributes
     final
   Definition Classes
     AnyRef

5. #### def == (arg0: Any): Boolean

   Attributes
     final
   Definition Classes
     Any

6. #### def asInstanceOf [T0] : T0

   Attributes
     final
   Definition Classes
     Any

7. #### def clone (): AnyRef

   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws()

8. #### def eq (arg0: AnyRef): Boolean

   Attributes
     final
   Definition Classes
     AnyRef

9. #### def equals (arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

10. #### def finalize (): Unit

    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws()

11. #### def getClass (): java.lang.Class[_]

    Attributes
      final
    Definition Classes
      AnyRef

12. #### def hashCode (): Int

    Definition Classes
      AnyRef → Any

13. #### def isInstanceOf [T0] : Boolean

    Attributes
      final
    Definition Classes
      Any

14. #### def must (beWord: BeWord): ResultOfBeWordForAnyRef[A]

    This method enables syntax such as the following:

    This method enables syntax such as the following:

        result must be theSameInstanceAs anotherObject
               ^

15. #### def must (notWord: NotWord): ResultOfNotWordForLengthWrapper[A]

    This method enables syntax such as the following:

    This method enables syntax such as the following:

        result must not have length (3)
               ^

16. #### def must (haveWord: HaveWord): ResultOfHaveWordForLengthWrapper[A]

    This method enables syntax such as the following:

    This method enables syntax such as the following:

        result must have length (3)
               ^

17. #### def must (rightMatcher: Matcher[A]): Unit

    This method enables syntax such as the following:

    This method enables syntax such as the following:

        objectWithLength must equal (3)
                         ^

18. #### def ne (arg0: AnyRef): Boolean

    Attributes
      final
    Definition Classes
      AnyRef

19. #### def notify (): Unit

    Attributes
      final
    Definition Classes
      AnyRef

20. #### def notifyAll (): Unit

    Attributes
      final
    Definition Classes
      AnyRef

21. #### def synchronized [T0] (arg0: ⇒ T0): T0

    Attributes
      final
    Definition Classes
      AnyRef

22. #### def toString (): String

    Definition Classes
      AnyRef → Any

23. #### def wait (): Unit

    Attributes
      final
    Definition Classes
      AnyRef
    Annotations
      @throws()

24. #### def wait (arg0: Long, arg1: Int): Unit

    Attributes
      final
    Definition Classes
      AnyRef
    Annotations
      @throws()

25. #### def wait (arg0: Long): Unit

    Attributes
      final
    Definition Classes
      AnyRef
    Annotations
      @throws()

### Inherited from AnyRef

### Inherited from Any